defmodule DecentralisedBookIndex.Sync.DataTransformers.AuthorTransformer do

  alias DecentralisedBookIndex.Metadata.Author

  def from_json(json_body) do
    author = %Author{
      id: get_in(json_body, ["data", "id"]),
      name: get_in(json_body, ["data", "attributes", "name"]),
      description: get_in(json_body, ["data", "attributes", "description"]),
    }

    {:ok, author}
  end
end
